Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Retrieve organization spend limit

GET/organization/spend_limit

Get the organization’s hard spend limit.

ReturnsExpand Collapse
OrganizationSpendLimit object { currency, enforcement, interval, 2 more }

Represents a hard spend limit configured at the organization level.

currency: string or "USD"

The currency for the threshold amount. Currently, only USD is supported.

One of the following:
string
"USD"

The currency for the threshold amount. Currently, only USD is supported.

enforcement: object { status }

The current enforcement state of the hard spend limit.

status: string or "inactive" or "enforcing"

Whether the hard spend limit is currently enforcing.

One of the following:
string
"inactive" or "enforcing"

Whether the hard spend limit is currently enforcing.

One of the following:
"inactive"
"enforcing"
interval: string or "month"

The time interval for evaluating spend against the threshold. Currently, only month is supported.

One of the following:
string
"month"

The time interval for evaluating spend against the threshold. Currently, only month is supported.

object: "organization.spend_limit"

The object type, which is always organization.spend_limit.

threshold_amount: number

The hard spend limit amount, in cents.

Retrieve organization spend limit

curl https://api.openai.com/v1/organization/spend_limit \
  -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
  -H "Content-Type: application/json"
{
    "object": "organization.spend_limit",
    "threshold_amount": 10000,
    "currency": "USD",
    "interval": "month",
    "enforcement": {
        "status": "enforcing"
    }
}
Returns Examples
{
    "object": "organization.spend_limit",
    "threshold_amount": 10000,
    "currency": "USD",
    "interval": "month",
    "enforcement": {
        "status": "enforcing"
    }
}